--[[
BY
 _____   _____   __   _  
|  _  \ /  _  \ |  \ | | 
| | | | | | | | |   \| | 
| | | | | | | | | |\   | 
| |_| | | |_| | | | \  | 
|_____/ \_____/ |_|  \_| 

]]

PrefabFiles = {
"petsdon",
}

Assets = {
--BABY_DOYDOY:
Asset("ATLAS", "images/inventoryimages/petdonbabydoydoyicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonbabydoydoyicon.tex"),
Asset("SOUNDPACKAGE", "sound/petdonbabydoydoysounds.fev"),
Asset("SOUND", "sound/petdonbabydoydoysounds_bank00.fsb"),

--STUNGRAY
Asset("ATLAS", "images/inventoryimages/petdonstungrayicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonstungrayicon.tex"),
Asset("SOUNDPACKAGE", "sound/petdonstungraysounds.fev"),
Asset("SOUND", "sound/petdonstungraysounds_bank00.fsb"),

--STUNGRAY
Asset("ATLAS", "images/inventoryimages/petdoncrabbiticon.xml"),
Asset("IMAGE", "images/inventoryimages/petdoncrabbiticon.tex"),
Asset("SOUNDPACKAGE", "sound/petdoncrabbitsounds.fev"),
Asset("SOUND", "sound/petdoncrabbitsounds_bank00.fsb"),

--DOGFISH
Asset("ATLAS", "images/inventoryimages/petdondogfishicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdondogfishicon.tex"),
Asset("SOUNDPACKAGE", "sound/petdondogfishsounds.fev"),
Asset("SOUND", "sound/petdondogfishsounds_bank00.fsb"),

--FLUP
Asset("ATLAS", "images/inventoryimages/petdonflupicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonflupicon.tex"),
Asset("SOUNDPACKAGE", "sound/petdonflupsounds.fev"),
Asset("SOUND", "sound/petdonflupsounds_bank00.fsb"),	

--PACKIM
Asset("ATLAS", "images/inventoryimages/petdonpackimicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonpackimicon.tex"),
Asset("SOUNDPACKAGE", "sound/petdonpackimsounds.fev"),
Asset("SOUND", "sound/petdonpackimsounds_bank00.fsb"),	

--SHARKITTEN
Asset("ATLAS", "images/inventoryimages/petdonsharkittenicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonsharkittenicon.tex"),
Asset("SOUNDPACKAGE", "sound/petdonsharkittensounds.fev"),
Asset("SOUND", "sound/petdonsharkittensounds_bank00.fsb"),	

--SWORDFISH
Asset("ATLAS", "images/inventoryimages/petdonswordfishicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonswordfishicon.tex"),
Asset("SOUNDPACKAGE", "sound/petdonswordfishsounds.fev"),
Asset("SOUND", "sound/petdonswordfishsounds_bank00.fsb"),

--SHARX
Asset("ATLAS", "images/inventoryimages/petdonsharxicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonsharxicon.tex"),
Asset("SOUNDPACKAGE", "sound/petdonsharxsounds.fev"),
Asset("SOUND", "sound/petdonsharxsounds_bank00.fsb"),

--PRIMEAPE
Asset("ATLAS", "images/inventoryimages/petdonprimeapeicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonprimeapeicon.tex"),
Asset("SOUNDPACKAGE", "sound/petdonprimeapesounds.fev"),
Asset("SOUND", "sound/petdonprimeapesounds_bank00.fsb"),	

--PIRATEGHOST
Asset("ATLAS", "images/inventoryimages/petdonpirateghosticon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonpirateghosticon.tex"),


--V0.2:

--MOSSLING
Asset("ATLAS", "images/inventoryimages/petdonmosslingicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonmosslingicon.tex"),

--PENGUIN 
Asset("ATLAS", "images/inventoryimages/petdonpenguinicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonpenguinicon.tex"),

--LIGHTNINGGOAT 
Asset("ATLAS", "images/inventoryimages/petdonlightninggoaticon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonlightninggoaticon.tex"),

--DEER 
Asset("ATLAS", "images/inventoryimages/petdondeericon.xml"),
Asset("IMAGE", "images/inventoryimages/petdondeericon.tex"),

--BAT 
Asset("ATLAS", "images/inventoryimages/petdonbaticon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonbaticon.tex"),

--SPIDER 
Asset("ATLAS", "images/inventoryimages/petdonspidericon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonspidericon.tex"),

--BEE 
Asset("ATLAS", "images/inventoryimages/petdonbeeicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonbeeicon.tex"),

--MOSQUITO 
Asset("ATLAS", "images/inventoryimages/petdonmosquitoicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonmosquitoicon.tex"),

--MINIWILSON 
Asset("ATLAS", "images/inventoryimages/petdonminiwilsonicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonminiwilsonicon.tex"),



--V0.3:

--BIRCHNUTDRAKE
Asset("ATLAS", "images/inventoryimages/petdonbirchnutdrakeicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonbirchnutdrakeicon.tex"),

--MANDRAKE 
Asset("ATLAS", "images/inventoryimages/petdonmandrakeicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonmandrakeicon.tex"),

--BUNNYMAN 
Asset("ATLAS", "images/inventoryimages/petdonbunnymanicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonbunnymanicon.tex"),

--BEEGUARD 
Asset("ATLAS", "images/inventoryimages/petdonbeeguardicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdonbeeguardicon.tex"),

--GRASSGEKKO 
Asset("ATLAS", "images/inventoryimages/petdongrassgekkoicon.xml"),
Asset("IMAGE", "images/inventoryimages/petdongrassgekkoicon.tex"),


--PETS DON GERAL SOUNDS:
Asset("SOUNDPACKAGE", "sound/petdonsounds.fev"),
Asset("SOUND", "sound/petdonsounds_bank00.fsb"),	
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH


if GetModConfigData("ativar_babydoydoy") == "y" then
AddRecipe("petdonbabydoydoy_builder", {Ingredient("bird_egg", 1), Ingredient("feather_robin", 1)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonbabydoydoyicon.xml", "petdonbabydoydoyicon.tex" )
end

if GetModConfigData("ativar_stungray") == "y" then
AddRecipe("petdonstungray_builder", {Ingredient("fish", 1), Ingredient("tentaclespots", 1)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonstungrayicon.xml", "petdonstungrayicon.tex" )
end

if GetModConfigData("ativar_crabbit") == "y" then
AddRecipe("petdoncrabbit_builder", {Ingredient("heatrock", 2), Ingredient("fish", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdoncrabbiticon.xml", "petdoncrabbiticon.tex" )
end

if GetModConfigData("ativar_dogfish") == "y" then
AddRecipe("petdondogfish_builder", {Ingredient("houndstooth", 2), Ingredient("fish", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdondogfishicon.xml", "petdondogfishicon.tex" )
end

if GetModConfigData("ativar_flup") == "y" then
AddRecipe("petdonflup_builder", {Ingredient("pigskin", 1), Ingredient("fish", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonflupicon.xml", "petdonflupicon.tex" )
end

if GetModConfigData("ativar_packim") == "y" then
AddRecipe("petdonpackim_builder", {Ingredient("bird_egg", 2), Ingredient("pigskin", 10)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonpackimicon.xml", "petdonpackimicon.tex" )
end

if GetModConfigData("ativar_sharkitten") == "y" then
AddRecipe("petdonsharkitten_builder", {Ingredient("houndstooth", 3), Ingredient("meat", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonsharkittenicon.xml", "petdonsharkittenicon.tex" )
end

if GetModConfigData("ativar_swordfish") == "y" then
AddRecipe("petdonswordfish_builder", {Ingredient("razor", 1), Ingredient("spidergland", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonswordfishicon.xml", "petdonswordfishicon.tex" )
end

if GetModConfigData("ativar_sharx") == "y" then
AddRecipe("petdonsharx_builder", {Ingredient("houndstooth", 5), Ingredient("pigskin", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonsharxicon.xml", "petdonsharxicon.tex" )
end

if GetModConfigData("ativar_primeape") == "y" then
AddRecipe("petdonprimeape_builder", {Ingredient("beefalowool", 5), Ingredient("cave_banana", 3)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonprimeapeicon.xml", "petdonprimeapeicon.tex" )
end	

if GetModConfigData("ativar_pirateghost") == "y" then
AddRecipe("petdonpirateghost_builder", {Ingredient("nightmarefuel", 10), Ingredient("purplegem", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonpirateghosticon.xml", "petdonpirateghosticon.tex" )
end	


--V0.2:

if GetModConfigData("ativar_mossling") == "y" then
AddRecipe("petdonmossling_builder", {Ingredient("bird_egg", 2), Ingredient("feather_crow", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonmosslingicon.xml", "petdonmosslingicon.tex" )
end	

if GetModConfigData("ativar_penguin") == "y" then
AddRecipe("petdonpenguin_builder", {Ingredient("bird_egg", 2), Ingredient("ice", 5)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonpenguinicon.xml", "petdonpenguinicon.tex" )
end	

if GetModConfigData("ativar_lightninggoat") == "y" then
AddRecipe("petdonlightninggoat_builder", {Ingredient("beefalowool", 6), Ingredient("transistor", 4)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonlightninggoaticon.xml", "petdonlightninggoaticon.tex" )
end	

if GetModConfigData("ativar_deer") == "y" then
AddRecipe("petdondeer_builder", {Ingredient("meat", 2), Ingredient("beefalowool", 5)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdondeericon.xml", "petdondeericon.tex" )
end

if GetModConfigData("ativar_bat") == "y" then
AddRecipe("petdonbat_builder", {Ingredient("batwing", 1), Ingredient("monstermeat", 3)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonbaticon.xml", "petdonbaticon.tex" )
end

if GetModConfigData("ativar_spider") == "y" then
AddRecipe("petdonspider_builder", {Ingredient("spidergland", 2), Ingredient("silk", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonspidericon.xml", "petdonspidericon.tex" )
end

if GetModConfigData("ativar_bee") == "y" then
AddRecipe("petdonbee_builder", {Ingredient("bee", 2), Ingredient("stinger", 4)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonbeeicon.xml", "petdonbeeicon.tex" )
end	

if GetModConfigData("ativar_mosquito") == "y" then
AddRecipe("petdonmosquito_builder", {Ingredient("mosquito", 1), Ingredient("monstermeat", 4)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonmosquitoicon.xml", "petdonmosquitoicon.tex" )
end	

if GetModConfigData("ativar_miniwilson") == "y" then
AddRecipe("petdonminiwilson_builder", {Ingredient("beardhair", 3), Ingredient("razor", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonminiwilsonicon.xml", "petdonminiwilsonicon.tex" )
end

--V0.3:

if GetModConfigData("ativar_birchnutdrake") == "y" then
AddRecipe("petdonbirchnutdrake_builder", {Ingredient("bird_egg", 2), Ingredient("acorn", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonbirchnutdrakeicon.xml", "petdonbirchnutdrakeicon.tex" )
end 

if GetModConfigData("ativar_mandrake") == "y" then
AddRecipe("petdonmandrake_builder", {Ingredient("mandrake", 1), Ingredient("carrot", 3)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonmandrakeicon.xml", "petdonmandrakeicon.tex" )
end

if GetModConfigData("ativar_bunnyman") == "y" then
AddRecipe("petdonbunnyman_builder", {Ingredient("manrabbit_tail", 2), Ingredient("carrot", 5)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonbunnymanicon.xml", "petdonbunnymanicon.tex" )
end	

if GetModConfigData("ativar_beeguard") == "y" then
AddRecipe("petdonbeeguard_builder", {Ingredient("bee", 3), Ingredient("honey", 3)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdonbeeguardicon.xml", "petdonbeeguardicon.tex" )
end

if GetModConfigData("ativar_grassgekko") == "y" then
AddRecipe("petdongrassgekko_builder", {Ingredient("cutgrass", 10), Ingredient("plantmeat", 2)}, GLOBAL.RECIPETABS.ORPHANAGE, GLOBAL.TECH.ORPHANAGE_ONE, nil, nil, true, nil, nil, "images/inventoryimages/petdongrassgekkoicon.xml", "petdongrassgekkoicon.tex" )
end	